List boards
curl --request GET \
--url https://api.gleap.io/v3/ticket-types \
--header 'Authorization: Bearer <token>' \
--header 'project: <project>'import requests
url = "https://api.gleap.io/v3/ticket-types"
headers = {
"project": "<project>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {project: '<project>', Authorization: 'Bearer <token>'}
};
fetch('https://api.gleap.io/v3/ticket-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"project": "<string>",
"type": "<string>",
"name": "<string>",
"path": "<string>",
"order": 123,
"_id": "<string>",
"id": "<string>",
"organisation": "<string>",
"menuName": "<string>",
"icon": "<string>",
"renderType": "<string>",
"default": true,
"selectable": true,
"options": {
"possibleLanes": [
{
"title": "<string>",
"key": "<string>",
"hidden": true
}
]
},
"restrictedToUsers": [
"<string>"
],
"receievedEmailTitle": "<unknown>",
"receievedEmailDescription": "<unknown>",
"feedbackReceivedEmailTemplate": "<unknown>",
"emailReplyTemplate": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Ticket types
List boards
List the boards (ticket types) of the project in sidebar order. Each board carries its
type (the value stored on tickets), name, path, renderType and its columns in
options.possibleLanes (key is the ticket status). Boards limited to some members list
them in restrictedToUsers.
GET
/
ticket-types
List boards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
200 - application/json
Ok
Immutable uppercase identifier stored on tickets (ticket.type).
URL slug, renameable for custom boards.
Sidebar position (ascending).
Show child attributes
Show child attributes